# gdcm::Version Class Reference

major/minor and build version More...

`#include <gdcmVersion.h>`

List of all members.

## Public Member Functions
| Version ()
| ~Version ()
void | Print (std::ostream &os=std::cout) const
## Static Public Member Functions
static int | GetBuildVersion ()
static int | GetMajorVersion ()
static int | GetMinorVersion ()
static const char * | GetVersion ()
## Friends
std::ostream & | operator<< (std::ostream &_os, const Version &v)

## Detailed Description

major/minor and build version

## Constructor & Destructor Documentation

gdcm::Version::Version | ( |  | ) | `[inline]`

gdcm::Version::~Version | ( |  | ) | `[inline]`

## Member Function Documentation

static int gdcm::Version::GetBuildVersion | ( |  | ) | `[static]`

static int gdcm::Version::GetMajorVersion | ( |  | ) | `[static]`

static int gdcm::Version::GetMinorVersion | ( |  | ) | `[static]`

static const char* gdcm::Version::GetVersion | ( |  | ) | `[static]`

void gdcm::Version::Print | ( | std::ostream & | os = `std::cout` | ) | const

Referenced by gdcm::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Version & | v |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmVersion.h